require 'rails_helper'

RSpec.describe RoleService do
  let(:service) { described_class.new }

  describe "#select_active_options" do
    it "returns active terms" do
      expect(service.select_active_options).to include(
        ["Contact person", "ContactPerson"]
        )
    end
  end

  describe "find_by_id" do
    it "returns active term matching id" do
      expect(service.find_by_id('ContactPerson')).to eq({
        "label" => "Contact person",
        "id" => "ContactPerson",
        "active" => true
      })
    end
  end

  describe "find_by_label" do
    it "returns active term  matching label" do
      expect(service.find_by_label('Contact person')).to eq({
        "label" => "Contact person",
        "id" => "ContactPerson",
        "active" => true
      })
    end
  end

  describe "find_by_id_or_label" do
    it "returns active term matching id or label" do
      expect(service.find_by_id_or_label('ContactPerson')).to eq({
        "label" => "Contact person",
        "id" => "ContactPerson",
        "active" => true
      })
      expect(service.find_by_id_or_label('ContactPerson')).to eq({
        "label" => "Contact person",
        "id" => "ContactPerson",
        "active" => true
      })
    end
  end
end
